All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
viennacl::ocl::invalid_device Class Reference

Exception thrown if an invalid OpenCL device is provided to an OpenCL function. More...

`#include <error.hpp>`

Inheritance diagram for viennacl::ocl::invalid_device:

## Detailed Description

Exception thrown if an invalid OpenCL device is provided to an OpenCL function.

Definition at line 243 of file error.hpp.

The documentation for this class was generated from the following file:

- viennacl/ocl/error.hpp